## python-aiostream 0.4.1

=== docs/requirements.txt ===
sphinx_rtd_theme>=0.3.1

=== debian/changelog ===
python-aiostream (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.
  * debian/control: Bump Standards-Version to 4.5.1.
  * Add hosting Vcs-* repo URL under Salsa GitLab Debian Python Team.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Dec 2020 14:15:49 -0500

python-aiostream (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #975498)

 -- nicoo <nicoo@debian.org>  Mon, 23 Nov 2020 02:56:38 +0100

=== debian/control ===
Source: python-aiostream
Section: python
Priority: optional
Maintainer: nicoo <nicoo@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
	debhelper-compat (= 13),
	dh-python,
	python3-all (>= 3.7),
	python3-pytest-asyncio,
	python3-pytest-runner
Standards-Version: 4.5.1
Homepage: https://github.com/vxgmichel/aiostream
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiostream.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiostream

Package: python3-aiostream
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
	${shlibs:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Generator-based operators for asynchronous iteration
 aiostream provides a collection of stream operators that can be combined to
 create asynchronous pipelines of operations.
 .
 It can be seen as an asynchronous version of itertools, although some aspects
 are slightly different. All the provided operators return a unified interface
 called a stream. A stream is an enhanced asynchronous iterable.

## python-aiostream 0.4.3

=== debian/changelog ===
python-aiostream (0.4.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.

  [ Boyuan Yang ]
  * New upstream release 0.4.3.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Nov 2021 09:27:32 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
 	debhelper-compat (= 13),
 	dh-python,
-	python3-all (>= 3.7),
+	python3-all,
 	python3-pytest-asyncio,
 	python3-pytest-runner
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/vxgmichel/aiostream
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiostream.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiostream

## python-aiostream 0.5.2

=== debian/changelog ===
python-aiostream (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * Clean more coverage output (Closes: #1057432)
  * Set DPT as Maintainer per new Team Policy
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Sep 2024 21:13:07 +0200

python-aiostream (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: Remove non-standard configs.
  * debian/control: Add missing build-test-dependencies.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/rules: Drop converage-generated files.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Dec 2023 11:47:29 -0500

python-aiostream (0.4.3-2) UNRELEASED; urgency=medium

  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 03 Sep 2022 11:18:28 -0000

=== debian/control ===
Source: python-aiostream
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: nicoo <nicoo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-typing-extensions,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/vxgmichel/aiostream
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiostream.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiostream

Package: python3-aiostream
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Generator-based operators for asynchronous iteration
 aiostream provides a collection of stream operators that can be combined to
 create asynchronous pipelines of operations.
 .
 It can be seen as an asynchronous version of itertools, although some aspects
 are slightly different. All the provided operators return a unified interface
 called a stream. A stream is an enhanced asynchronous iterable.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_python3:
	# Drop cov-generated files
	rm -fv debian/*/usr/lib/python3*/dist-packages/.coverage
	rm -fvr debian/*/usr/lib/python3*/dist-packages/htmlcov

## python-aiostream 0.7.0

=== debian/changelog ===
python-aiostream (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.0 (Closes: #1115781)
  * Switch to pybuild-plugin-pyproject
  * Drop "Rules-Requires-Root: no": it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Sep 2025 15:01:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-typing-extensions,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/vxgmichel/aiostream
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiostream.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiostream

=== debian/watch ===
version=4
opts="mode=git" \
  https://github.com/vxgmichel/aiostream/ refs/tags/v?(\d\S+)

## python-aiostream 0.7.1

=== debian/changelog ===
python-aiostream (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-depend on python3-setuptools (closes: #1122302).

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 16:52:56 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-runner <!nocheck>,
+ python3-setuptools,
  python3-typing-extensions,
 Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
